Get Webhook

**CLI:** ```bash agentmail inboxes webhooks get --inbox-id <inbox_id> --webhook-id <webhook_id> ```

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

inbox_idstringRequired
The ID of the inbox.
webhook_idstringRequired
ID of webhook.

Response

This endpoint returns an object.
webhook_idstring
ID of webhook.
urlstring
URL of webhook endpoint.
secretstring
Secret for webhook signature verification.
enabledboolean
Webhook is enabled.
updated_atdatetime
Time at which webhook was last updated.
created_atdatetime
Time at which webhook was created.
event_typeslist of enumsOptional
Event types for which to send events.
pod_idslist of stringsOptional
Pods for which to send events. Maximum 10 per webhook.
inbox_idslist of stringsOptional
Inboxes for which to send events. Maximum 10 per webhook.
pod_idstringOptional

ID of the pod the webhook belongs to: the pod it was created in, or the pod of the inbox it belongs to. Absent for an organization webhook and on some inbox webhooks. This is not the list of pods it receives events for; see pod_ids.

inbox_idstringOptional

ID of the inbox the webhook belongs to, if it was created for an inbox. This is not the list of inboxes it receives events for; see inbox_ids.

client_idstringOptional
Client ID of webhook.

Errors

404
Not Found Error